Adding debian version 0.4.1-1 (FIXME).
authorDaniel Baumann <daniel@debian.org>
Fri, 20 Apr 2012 19:20:00 +0000 (21:20 +0200)
committerDaniel Baumann <daniel@debian.org>
Sat, 21 Apr 2012 05:31:48 +0000 (07:31 +0200)
56 files changed:
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/local/lxdm.insserv [new file with mode: 0644]
debian/lxdm.config [new file with mode: 0644]
debian/lxdm.init [new file with mode: 0644]
debian/lxdm.install [new file with mode: 0644]
debian/lxdm.links [new file with mode: 0644]
debian/lxdm.logrotate [new file with mode: 0644]
debian/lxdm.manpages [new file with mode: 0644]
debian/lxdm.pam [new file with mode: 0644]
debian/lxdm.postinst [new file with mode: 0644]
debian/lxdm.postrm [new file with mode: 0644]
debian/lxdm.prerm [new file with mode: 0644]
debian/lxdm.templates [new file with mode: 0644]
debian/manpages/lxdm.1 [new file with mode: 0644]
debian/patches/15-path-replace.patch [new file with mode: 0644]
debian/patches/20_disable_resize_grip.patch [new file with mode: 0644]
debian/patches/21_fix_greeter_location.patch [new file with mode: 0644]
debian/patches/22_ubuntu_i18n_oneiric.patch [new file with mode: 0644]
debian/patches/90_fix_event_check.patch [new file with mode: 0644]
debian/patches/series [new file with mode: 0644]
debian/po/POTFILES.in [new file with mode: 0644]
debian/po/ca.po [new file with mode: 0644]
debian/po/cs.po [new file with mode: 0644]
debian/po/da.po [new file with mode: 0644]
debian/po/de.po [new file with mode: 0644]
debian/po/el.po [new file with mode: 0644]
debian/po/es.po [new file with mode: 0644]
debian/po/eu.po [new file with mode: 0644]
debian/po/fi.po [new file with mode: 0644]
debian/po/fr.po [new file with mode: 0644]
debian/po/gl.po [new file with mode: 0644]
debian/po/it.po [new file with mode: 0644]
debian/po/ja.po [new file with mode: 0644]
debian/po/ko.po [new file with mode: 0644]
debian/po/ml.po [new file with mode: 0644]
debian/po/nl.po [new file with mode: 0644]
debian/po/pl.po [new file with mode: 0644]
debian/po/pothead.in [new file with mode: 0644]
debian/po/pt.po [new file with mode: 0644]
debian/po/pt_BR.po [new file with mode: 0644]
debian/po/ro.po [new file with mode: 0644]
debian/po/ru.po [new file with mode: 0644]
debian/po/sk.po [new file with mode: 0644]
debian/po/sv.po [new file with mode: 0644]
debian/po/ta.po [new file with mode: 0644]
debian/po/templates.pot [new file with mode: 0644]
debian/po/tr.po [new file with mode: 0644]
debian/po/vi.po [new file with mode: 0644]
debian/po/zh_CN.po [new file with mode: 0644]
debian/rules [new file with mode: 0755]
debian/source/format [new file with mode: 0644]
debian/source/options [new file with mode: 0644]
debian/watch [new file with mode: 0644]

diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..23ba176
--- /dev/null
@@ -0,0 +1,5 @@
+lxdm (0.4.1-1) unstable; urgency=low
+
+  * Intial release (Closes: #560004, #575738).
+
+ -- Daniel Baumann <daniel@debian.org>  Fri, 20 Apr 2012 20:59:24 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..ec63514
--- /dev/null
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..c5bbb74
--- /dev/null
@@ -0,0 +1,29 @@
+Source: lxdm
+Section: x11
+Priority: optional
+Maintainer: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>
+Uploaders:
+ Andrew Lee (李健秋) <ajqlee@debian.org>, Daniel Baumann <daniel@debian.org>
+Build-Depends:
+ debhelper (>= 9), autotools-dev, automake, intltool, iso-codes,
+ libck-connector-dev, libcrypto++-dev, libglib2.0-dev, libgtk2.0-dev,
+ libpam0g-dev, libtool, libx11-dev, libxmu-dev, pkg-config
+Standards-Version: 3.9.3
+Homepage: http://www.lxde.org/
+Vcs-Browser: http://git.lxde.org/gitweb/?p=debian/lxdm.git
+Vcs-Git: git://git.lxde.org/git/debian/lxdm.git
+
+Package: lxdm
+Architecture: any
+Depends:
+ ${misc:Depends}, ${misc:Depends}, gtk2-engines-pixbuf, iso-codes,
+ libpam-modules, libpam-runtime, librsvg2-common, lsb-base,
+ x11-utils | xbase-clients | xmessage
+Recommends: lxde-common, lxsession
+Provides: x-display-manager
+Description: LXDE display manager
+ LXDM is a GUI application for the Lightweight X11 Desktop Environment
+ (LXDE).
+ .
+ It's a lightweight login manager which can be used as a replacement for
+ GDM or KDM.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..a660847
--- /dev/null
@@ -0,0 +1,86 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: LXDM
+Upstream-Contact: lxde-list@lists.sourceforge.net
+Source: http://sourceforge.net/projects/lxde/files/
+
+Files: *
+Copyright: 2009 dgod <dgod.osa@gmail.com>
+           2009 Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
+License: GPL-3+
+
+Files: src/greeter.c
+Copyright: 2009 Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
+License: GPL-2+
+
+Files: src/gdm/gdm-languages.*
+Copyright: 2007 William Jon McCann <mccann@jhu.edu>
+           2008 Red Hat, Inc.
+License: GPL-2+
+
+Files: data/theme/Industrial/*
+Copyright: 2002 Jakub Steiner <jimmac@ximian.com>
+           2002 Ximian, Inc.
+License: GPL-2+
+
+File: src/gdm/locarchive.h:
+Copyright: 2002 Free Software Foundation, Inc.
+License: LGPL-2.1+
+
+Files: debian/*
+Copyright: 2010 Andrew Lee (李健秋) <ajqlee@debian.org>
+           2010 Nikolas Poniros <edhunter@sidux.com>
+           2010 Chris Hildebrandt <slam@sidux.com>
+           2012 Daniel Baumann <daniel@debian.org>
+License: GPL-2+
+
+License: GPL-2+
+ This program is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License
+ as published by the Free Software Foundation; either version 2
+ of the License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ .
+ The complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-2 file.
+
+License: GPL-3+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ The complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-3 file.
+
+License: LGPL-2.1+
+ This library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Lesser General Public
+ License as published by the Free Software Foundation; either
+ version 2.1 of the License.
+ .
+ This library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Lesser General Public License for more details.
+ .
+ You should have received a copy of the GNU Lesser General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ The complete text of the GNU Lesser General Public License
+ can be found in /usr/share/common-licenses/LGPL-2 file.
diff --git a/debian/local/lxdm.insserv b/debian/local/lxdm.insserv
new file mode 100644 (file)
index 0000000..8d3e436
--- /dev/null
@@ -0,0 +1 @@
+$x-display-manager     lxdm
diff --git a/debian/lxdm.config b/debian/lxdm.config
new file mode 100644 (file)
index 0000000..b4f022b
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Debian lxdm package configuration script
+# Largely adapted from gdms config script:
+# Copyright 2000-2001 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+
+set -e
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+# set default display manager
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+OWNERS=
+if db_metaget shared/default-x-display-manager owners; then
+  OWNERS="$RET"
+fi
+
+CHOICES=
+if db_metaget shared/default-x-display-manager choices; then
+  CHOICES="$RET"
+fi
+
+if [ "$OWNERS" != "$CHOICES" ]; then
+  db_subst shared/default-x-display-manager choices "$OWNERS" || :
+  db_fset shared/default-x-display-manager seen false || :
+fi
+
+# debconf is not a registry; use the current contents of the default display
+# manager file to pre-answer the question if possible
+if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+  CURRENT_DEFAULT=$(basename "$(grep -v '^[[:space:]]*#' \
+                                "$DEFAULT_DISPLAY_MANAGER_FILE" |
+                                head -n 1)")
+  if [ -n "$CURRENT_DEFAULT" ]; then
+    db_set shared/default-x-display-manager "$CURRENT_DEFAULT"
+  fi
+else
+  CURRENT_DEFAULT=
+  if db_get shared/default-x-display-manager; then
+    CURRENT_DEFAULT="$RET"
+  fi
+fi
+
+db_input high shared/default-x-display-manager || :
+db_go || :
+
+# using this display manager?
+NEW_DEFAULT=
+if db_get shared/default-x-display-manager; then
+  NEW_DEFAULT="$RET"
+fi
+
+# move the default display manager file if we are going to change it
+if [ -n "$NEW_DEFAULT" ]; then
+  if [ "$NEW_DEFAULT" != "$CURRENT_DEFAULT" ]; then
+    if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+      mv "$DEFAULT_DISPLAY_MANAGER_FILE" \
+         "${DEFAULT_DISPLAY_MANAGER_FILE}.dpkg-tmp"
+    fi
+  fi
+fi
diff --git a/debian/lxdm.init b/debian/lxdm.init
new file mode 100644 (file)
index 0000000..63a66bf
--- /dev/null
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Largely adapted from xdm's init script:
+# Copyright 1998-2002, 2004, 2005 Branden Robinson <branden@debian.org>.
+# Copyright 2006 Eugene Konev <ejka@imfi.kspu.ru>
+#
+# This is free software; you may redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2,
+# or (at your option) any later version.
+#
+# This is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License with
+# the Debian operating system, in /usr/share/common-licenses/GPL;  if
+# not, write to the Free Software Foundation, Inc., 51 Franklin Street, 
+# Fifth Floor, Boston, MA 02110-1301, USA.
+
+### BEGIN INIT INFO
+# Provides:          lxdm
+# Should-Start:      $named console-screen dbus acpid hal consolekit
+# Required-Start:    $local_fs $remote_fs x11-common
+# Required-Stop:     $local_fs $remote_fs
+# Should-Stop:       $named
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: LXDE Display Manager (LXDM)
+# Description:       Debian init script for the LXDE Display Manager
+### END INIT INFO
+
+set -e
+
+HEED_DEFAULT_DISPLAY_MANAGER=
+# To start lxdm even if it is not the default display manager, change
+# HEED_DEFAULT_DISPLAY_MANAGER to "false."
+# Also overridable from command line like:
+# HEED_DEFAULT_DISPLAY_MANAGER=false /etc/init.d/lxdm start
+[ -z "$HEED_DEFAULT_DISPLAY_MANAGER" ] && HEED_DEFAULT_DISPLAY_MANAGER=true
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/lxdm-binary
+PIDFILE=/var/run/lxdm.pid
+
+if [ -r /etc/default/locale ]; then
+  . /etc/default/locale
+  export LANG LANGUAGE
+fi
+
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+SSD_START_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --startas $DAEMON -- -d"
+SSD_STOP_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --retry TERM/5/TERM/5"
+
+case "$1" in
+  start)
+    if [ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] &&
+       [ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &&
+       [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" != "/usr/sbin/lxdm" ]; then
+      echo "Not starting X display manager (lxdm); it is not the default" \
+        "display manager."
+    else
+      log_daemon_msg "Starting X display manager" "lxdm"
+      start-stop-daemon --start --quiet $SSD_START_ARGS \
+        || log_progress_msg "already running"
+      log_end_msg 0
+    fi
+  ;;
+
+  restart)
+    [ -f $PIDFILE ] && /etc/init.d/lxdm stop
+    [ -f $PIDFILE ] && exit 1
+    /etc/init.d/lxdm start
+  ;;
+
+  stop)
+    log_daemon_msg "Stopping X display manager" "lxdm"
+    if ! [ -f $PIDFILE ]; then
+      log_progress_msg "not running ($PIDFILE not found)"
+    else
+      start-stop-daemon --stop --quiet $SSD_STOP_ARGS
+      SSD_RES=$?
+      if [ $SSD_RES -eq 1 ]; then
+        log_progress_msg "not running"
+      fi
+      if [ $SSD_RES -eq 2 ]; then
+        log_progress_msg "not responding to TERM signals"
+      else
+       if [ -f $PIDFILE ]; then
+         log_progress_msg "(removing stale $PIDFILE)"
+         rm $PIDFILE
+       fi
+      fi
+    fi
+    log_end_msg 0
+  ;;
+  force-reload)
+    /etc/init.d/lxdm restart
+  ;;
+
+  *)
+    echo "Usage: /etc/init.d/lxdm {start|stop|restart|force-reload}"
+    exit 1
+    ;;
+esac
+
+exit 0
diff --git a/debian/lxdm.install b/debian/lxdm.install
new file mode 100644 (file)
index 0000000..f32e763
--- /dev/null
@@ -0,0 +1 @@
+debian/local/lxdm.insserv      /etc/insserv.conf.d/
diff --git a/debian/lxdm.links b/debian/lxdm.links
new file mode 100644 (file)
index 0000000..b4e7892
--- /dev/null
@@ -0,0 +1,4 @@
+usr/share/man/man1/lxdm.1.gz usr/share/man/man1/lxdm-binary.1.gz 
+usr/share/man/man1/lxdm.1.gz usr/share/man/man1/lxdm-greeter-gtk.1.gz
+usr/share/man/man1/lxdm.1.gz usr/share/man/man1/lxdm-greeter-gdk.1.gz
+usr/share/man/man1/lxdm.1.gz usr/share/man/man1/lxdm-numlock.1.gz
diff --git a/debian/lxdm.logrotate b/debian/lxdm.logrotate
new file mode 100644 (file)
index 0000000..ab4d6b7
--- /dev/null
@@ -0,0 +1,5 @@
+/var/log/lxdm.log {
+    missingok
+    notifempty
+    copytruncate
+} 
diff --git a/debian/lxdm.manpages b/debian/lxdm.manpages
new file mode 100644 (file)
index 0000000..96c4bf7
--- /dev/null
@@ -0,0 +1 @@
+manpages/*
diff --git a/debian/lxdm.pam b/debian/lxdm.pam
new file mode 100644 (file)
index 0000000..32d0875
--- /dev/null
@@ -0,0 +1,14 @@
+#%PAM-1.0
+auth    requisite       pam_nologin.so
+auth    required        pam_env.so readenv=1
+auth    required        pam_env.so readenv=1 envfile=/etc/default/locale
+auth    sufficient      pam_succeed_if.so user ingroup nopasswdlogin
+@include common-auth
+auth    optional        pam_gnome_keyring.so
+@include common-account
+session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so close
+session required        pam_limits.so
+@include common-session-noninteractive
+session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so open
+session optional        pam_gnome_keyring.so auto_start
+@include common-password
diff --git a/debian/lxdm.postinst b/debian/lxdm.postinst
new file mode 100644 (file)
index 0000000..b28e904
--- /dev/null
@@ -0,0 +1,63 @@
+#!/bin/sh
+# Debian lxdm package post-installation script
+# Based on xdm.postinst
+# Copyright 1998-2001, 2003, 2004 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+
+set -e
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+THIS_PACKAGE=lxdm
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+# debconf is not a registry, so we only fiddle with the default file if it
+# does not exist
+if ! [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+  DEFAULT_DISPLAY_MANAGER=
+  if db_get shared/default-x-display-manager; then
+    DEFAULT_DISPLAY_MANAGER="$RET"
+  fi
+  if [ -n "$DEFAULT_DISPLAY_MANAGER" ]; then
+    DAEMON_NAME=
+    if db_get "$DEFAULT_DISPLAY_MANAGER"/daemon_name; then
+      DAEMON_NAME="$RET"
+    fi
+    if [ -z "$DAEMON_NAME" ]; then
+      # if we were unable to determine the name of the selected daemon (for
+      # instance, if the selected default display manager doesn't provide a
+      # daemon_name question), guess
+      DAEMON_NAME=$(which "$DEFAULT_DISPLAY_MANAGER" 2>/dev/null)
+    fi
+    if [ -n "$DAEMON_NAME" ]; then
+      echo "$DAEMON_NAME" > "$DEFAULT_DISPLAY_MANAGER_FILE"
+    fi
+  fi
+fi
+
+# Registering the init scripts or starting the daemon may cause output to
+# stdout, which can confuse debconf.
+db_stop
+
+# Remove alternative file if it's not a symlink, workaround for broken upgrade
+# See bug #616188
+if [ -f /etc/alternatives/lxdm.conf ] ; then
+  if [ ! -h "/etc/alternatives/lxdm.conf" ] ; then
+    rm "/etc/alternatives/lxdm.conf"
+  fi
+fi
+
+# Add /etc/lxdm/lxdm.conf from alternative of lxdm configuration
+if [ "$1" = configure ]; then
+  update-alternatives --install /etc/lxdm/default.conf \
+    lxdm.conf /etc/lxdm/lxdm.conf 50
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.postrm b/debian/lxdm.postrm
new file mode 100644 (file)
index 0000000..10cc51e
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Debian lxdm package post-removal script
+# Copyright 2010 Nikolas Poniros <edhunter@sidux.com>
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+
+
+set -e
+
+if [ "$1" = "purge" ]; then
+  for DIR in /etc/lxdm; do
+    if [ -d "$DIR" ]; then
+      rm -r "$DIR"
+    fi
+  done
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.prerm b/debian/lxdm.prerm
new file mode 100644 (file)
index 0000000..55f209d
--- /dev/null
@@ -0,0 +1,65 @@
+#!/bin/sh
+# Debian lxdm package pre-removal script
+# Based on xdm.prerm
+# Copyright 1998-2004 Branden Robinson.
+# Licensed under the GNU General Public License, version 2.  See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.
+
+set -e
+
+THIS_PACKAGE=lxdm
+
+DAEMON=/usr/bin/lxdm
+
+
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
+  if [ -e /usr/share/debconf/confmodule ]; then
+    . /usr/share/debconf/confmodule
+    # disown this question
+    db_unregister shared/default-x-display-manager
+    # does the question still exist?
+    if db_get shared/default-x-display-manager; then
+      db_metaget shared/default-x-display-manager owners
+      db_subst shared/default-x-display-manager choices "$RET"
+      db_get shared/default-x-display-manager
+      # are we removing the currently selected display manager?
+      if [ "$THIS_PACKAGE" = "$RET" ]; then
+        if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+         if db_get "$RET"/daemon_name; then
+           if [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" = "$RET" ]; then
+             rm "$DEFAULT_DISPLAY_MANAGER_FILE"
+           fi
+         else
+           if [ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" = "$DAEMON" ]; then
+             rm "$DEFAULT_DISPLAY_MANAGER_FILE"
+           fi
+         fi
+        fi
+        # ask the user to choose a new default
+        db_fset shared/default-x-display-manager seen false
+        db_input critical shared/default-x-display-manager || true
+        db_go
+        # if the display manager file doesn't exist, write it with the path
+        # to the new default display manager
+        if [ ! -e $DEFAULT_DISPLAY_MANAGER_FILE ]; then
+          db_get shared/default-x-display-manager
+          db_get "$RET"/daemon_name
+          echo "$RET" > "$DEFAULT_DISPLAY_MANAGER_FILE"
+        fi
+      fi
+    fi
+  fi
+fi
+
+# Remove /etc/lxdm/lxdm.conf from alternative of lxdm configuration
+if [ "$1" = "remove" ] ; then
+  update-alternatives --remove lxdm.conf /etc/lxdm/lxdm.conf
+fi
+
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/lxdm.templates b/debian/lxdm.templates
new file mode 100644 (file)
index 0000000..85ca84a
--- /dev/null
@@ -0,0 +1,24 @@
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# for an advice to debian-l10n-english@lists.debian.org
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+Template: shared/default-x-display-manager
+Type: select
+Choices: ${choices}
+_Description: Default display manager:
+ A display manager is a program that provides graphical login capabilities for
+ the X Window System.
+ .
+ Only one display manager can manage a given X server, but multiple display
+ manager packages are installed. Please select which display manager should
+ run by default.
+ .
+ Multiple display managers can run simultaneously if they are configured to
+ manage different servers; to achieve this, configure the display managers
+ accordingly, edit each of their init scripts in /etc/init.d, and disable the
+ check for a default display manager.
diff --git a/debian/manpages/lxdm.1 b/debian/manpages/lxdm.1
new file mode 100644 (file)
index 0000000..2ac7251
--- /dev/null
@@ -0,0 +1,88 @@
+.TH LXDM 1 "March 2010"
+
+.SH NAME
+lxdm \- LXDE Display Manager (Login screen)
+
+.SH SYNOPSIS
+.B lxdm
+       [options]
+.br
+.SH DESCRIPTION
+.B lxdm 
+is the LXDE display manager also known as login manager. It shows a graphical login screen for usernames and password and allows you to choose a desktop and language for the session. After authenticating a user it starts a session.
+
+lxdm works with various desktops like LXDE, KDE and others.
+
+.PP
+.SH OPTIONS
+.TP
+.B     \-d 
+daemon mode
+.TP
+.B      \-h 
+help
+
+.SH FILES
+.TP
+.I     /var/log/lxdm.log
+log information
+.TP
+.I     /etc/lxdm/Xsession
+script to run as user after login of user
+.TP
+.I     /etc/lxdm/default.conf
+configuration file for lxdm. It's a symlink to the real configuration file
+(/etc/lxdm/lxdm.conf for standard lxdm, /etc/xdg/lubuntu/lxdm/lxdm.conf for
+Lubuntu). See below for details of the configuration file.
+
+.SH CONFIGURATION FILE
+The configuration file is /etc/lxdm/default.conf, which is a symlink to the
+real configuration file. (/etc/lxdm/lxdm.conf for standard lxdm,
+/etc/xdg/lubuntu/lxdm/lxdm.conf for Lubuntu).
+
+To update the symlink, type "update-alternative --config lxdm.conf" and follow
+the instructions.
+
+.B     autologin
+.TP
+Enable autologin if you set autologin=user, when user is your login. Disable by default, you need to uncomment the line.
+.TP
+
+.B     session
+.TP
+Default session which will be started if "Default" session is provided at login. Disable by default, you need to uncomment the line.
+.TP
+
+.B     numlock
+.TP
+Enable numlock support. Disable by default, you need to uncomment the line.
+.TP
+
+.B     arg
+.TP
+Override arguments passed to the Xserver. Disable by default, you need to uncomment the line.
+.TP
+.B     gtk_theme
+.TP
+Select the gtk theme for the greeter.
+.TP
+.B     bg
+.TP
+Select the path of the background of the greeter.
+.TP
+.B bottom_pane
+.TP
+Select if the bottom panel is available. 1 to TRUE, 0 to FALSE.
+.TP
+.B lang
+.TP
+Select if the language choose if available. 1 to TRUE, 0 to FALSE.
+.TP
+.B theme
+.TP
+Select the theme for the greeter. Theme are located in /usr/share/lxdm/themes/
+
+.SH AUTHORS
+This manual page was written by Trevor Walkley <bluewater@sidux.com> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.
+
+On Debian systems, the complete  text  of  the  GNU  General  Public License can be found in /usr/share/common-licenses/GPL.
diff --git a/debian/patches/15-path-replace.patch b/debian/patches/15-path-replace.patch
new file mode 100644 (file)
index 0000000..a7efac9
--- /dev/null
@@ -0,0 +1,14 @@
+#launchpad bug : #524761
+Index: lxdm-0.4.0/src/lxdm.c
+===================================================================
+--- lxdm-0.4.0.orig/src/lxdm.c 2011-07-13 14:00:34.000000000 +0200
++++ lxdm-0.4.0/src/lxdm.c      2011-07-24 18:00:58.000000000 +0200
+@@ -1472,7 +1472,7 @@
+       path = g_key_file_get_string(config, "base", "path", 0);
+       if( G_UNLIKELY(path) && path[0] ) /* if PATH is specified in config file */
+               replace_env(env, "PATH=", path); /* override current $PATH with config value */
+-      else /* don't use the global env, they are bad for user */
++      else if(!getenv("PATH")) /* if PATH is not set */
+               replace_env(env, "PATH=", "/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin"); /* set proper default */
+       g_free(path);
+       /* optionally override $LANG, $LC_MESSAGES, and $LANGUAGE */
diff --git a/debian/patches/20_disable_resize_grip.patch b/debian/patches/20_disable_resize_grip.patch
new file mode 100644 (file)
index 0000000..a333db4
--- /dev/null
@@ -0,0 +1,20 @@
+Index: lxdm-0.4.0/src/greeter.c
+===================================================================
+--- lxdm-0.4.0.orig/src/greeter.c      2011-06-11 06:30:26.000000000 +0200
++++ lxdm-0.4.0/src/greeter.c   2011-07-24 18:03:14.000000000 +0200
+@@ -998,9 +998,13 @@
+     builder = gtk_builder_new();
+     gtk_builder_add_from_file(builder, ui_file ? ui_file : LXDM_DATA_DIR "/lxdm.glade", NULL);
+     win = (GtkWidget*)gtk_builder_get_object(builder, "lxdm");
+-#if GTK_CHECK_VERSION(3,0,0)
++
++    /*
++    Remove resize grip in Ubuntu 11.04 which break background painting
++    see https://bugs.launchpad.net/ubuntu/+source/lxdm/+bug/703658
++    */
+     gtk_window_set_has_resize_grip(GTK_WINDOW(win),FALSE);
+-#endif
++
+     gtk_widget_realize(win);
+ #if GTK_CHECK_VERSION(3,0,0)
+       window=gtk_widget_get_window(win);
diff --git a/debian/patches/21_fix_greeter_location.patch b/debian/patches/21_fix_greeter_location.patch
new file mode 100644 (file)
index 0000000..8b5e2a6
--- /dev/null
@@ -0,0 +1,11 @@
+--- lxdm-0.4.1.orig/data/lxdm.conf
++++ lxdm-0.4.1/data/lxdm.conf
+@@ -16,7 +16,7 @@
+ # xauth_path=/tmp
+ ## greeter used to welcome the user
+-greeter=/usr/local/libexec/lxdm-greeter-gtk
++greeter=/usr/lib/lxdm/lxdm-greeter-gtk
+ [server]
+ ## arg used to start xserver, not fully function
diff --git a/debian/patches/22_ubuntu_i18n_oneiric.patch b/debian/patches/22_ubuntu_i18n_oneiric.patch
new file mode 100644 (file)
index 0000000..ee1d7e7
--- /dev/null
@@ -0,0 +1,56 @@
+Description: Adapt to the Oneiric model for setting languages/locales.
+Forwarded: not-needed
+Author: Gunnar Hjalmarsson <ubuntu@gunnar.cc>
+
+--- lxdm.orig/data/Xsession    2011-07-29 15:42:33 +0200
++++ lxdm/data/Xsession 2011-09-30 13:53:51 +0200
+@@ -9,9 +9,20 @@
+       LXSESSION=/usr/bin/startlxde
+ fi
++[ -f /etc/profile ] && . /etc/profile
++[ -f ~/.profile ] && . ~/.profile
+ [ -f /etc/xprofile ] && . /etc/xprofile
+ [ -f ~/.xprofile ] && . ~/.xprofile
++# override ~/.profile if language was set on the greeter
++if [ -n "$GREETER_LANGUAGE" ]; then
++      language_list=${GREETER_LANGUAGE%.*}${GREETER_LANGUAGE#*.UTF-8}:en
++      export LANGUAGE="$language_list"
++      export LC_MESSAGES="$GREETER_LANGUAGE"
++      export LC_CTYPE="$GREETER_LANGUAGE"
++      export LC_COLLATE="$GREETER_LANGUAGE"
++fi
++
+ if [ -f /etc/X11/xinit/xinitrc-common ]; then
+ # fedora
+       . /etc/X11/xinit/xinitrc-common
+
+--- lxdm.orig/src/lxdm.c       2011-09-30 13:33:12 +0200
++++ lxdm/src/lxdm.c    2011-09-30 14:02:20 +0200
+@@ -1369,11 +1369,6 @@
+                       session=g_key_file_get_string(dmrc,"Desktop","Session",NULL);
+                       alloc_session=TRUE;
+               }
+-              if(!lang || !lang[0])
+-              {
+-                      lang=g_key_file_get_string(dmrc,"Desktop","Language",NULL);
+-                      alloc_lang=TRUE;
+-              }
+               g_key_file_free(dmrc);
+       }
+@@ -1478,9 +1473,9 @@
+       /* optionally override $LANG, $LC_MESSAGES, and $LANGUAGE */
+       if( lang && lang[0] )
+       {
+-              replace_env(env, "LANG=", lang);
+-              replace_env(env, "LC_MESSAGES=", lang);
+-              replace_env(env, "LANGUAGE=", lang);
++              /* use this special environment variable to set the language related
++                 env. variables from Xsession after ~/.profile has been sourced */
++              replace_env(env, "GREETER_LANGUAGE=", lang);
+       }
+       s->env = env;
+
diff --git a/debian/patches/90_fix_event_check.patch b/debian/patches/90_fix_event_check.patch
new file mode 100644 (file)
index 0000000..cd06e61
--- /dev/null
@@ -0,0 +1,24 @@
+From d4e41ecb36a1ea29482b75674d804bb0f05540b2 Mon Sep 17 00:00:00 2001
+From: dgod <dgod.osa@gmail.com>
+Date: Sun, 25 Dec 2011 15:23:19 +0800
+Subject: [PATCH] fix event check bug caused cpu 100%
+
+---
+ src/lxcom.c |    2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/src/lxcom.c b/src/lxcom.c
+index 02763eb..18ee12e 100644
+--- a/src/lxcom.c
++++ b/src/lxcom.c
+@@ -89,7 +89,7 @@ static gboolean lxcom_prepare (GSource *source,gint *timeout)
+ static gboolean lxcom_check(GSource *source)
+ {
+-      return TRUE;
++      return (((LXComSource*)source)->poll.revents&G_IO_IN)?TRUE:FALSE;
+ }
+ static gboolean lxcom_dispatch (GSource *source,GSourceFunc callback,gpointer user_data)
+-- 
+1.7.4.1
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644 (file)
index 0000000..987f880
--- /dev/null
@@ -0,0 +1,5 @@
+15-path-replace.patch
+# 20_disable_resize_grip.patch
+21_fix_greeter_location.patch
+22_ubuntu_i18n_oneiric.patch
+90_fix_event_check.patch
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644 (file)
index 0000000..f455a70
--- /dev/null
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] lxdm.templates
diff --git a/debian/po/ca.po b/debian/po/ca.po
new file mode 100644 (file)
index 0000000..bec7d42
--- /dev/null
@@ -0,0 +1,60 @@
+# Catalan translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2002-2007 Ivan Vilata i Balaguer <net.selidor@ivan>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm 1:1.0.5-2\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 11:00+0100\n"
+"Last-Translator: Ivan Vilata i Balaguer <ivan@selidor.net>\n"
+"Language-Team: Catalan <debian-l10n-catalan@lists.debian.org>\n"
+"Language: ca\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Escolliu el gestor de pantalla:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un gestor de pantalla (display manager) és un programa que proporciona la "
+"capacitat d’un quadre gràfic d’entrada (login) a l’X Window System."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Només un gestor de pantalla pot gestionar un servidor X determinat, però "
+"teniu instaŀlats diversos paquets de gestor de pantalla.  Per favor, "
+"escolliu quin gestor de pantalla s'executarà per defecte."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Poden haver diversos gestors de pantalla corrent simultàniament si es "
+"configuren per a gestionar diferents servidors; per a aconseguir açò, "
+"configureu adequadament els gestors de pantalla, editeu cadascun dels seus "
+"scripts d’inici en «/etc/init.d», i deshabiliteu la comprovació de gestor de "
+"pantalla per defecte."
diff --git a/debian/po/cs.po b/debian/po/cs.po
new file mode 100644 (file)
index 0000000..58e38a0
--- /dev/null
@@ -0,0 +1,58 @@
+# Czech translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2004-2007 Miroslav Kure <kurem@debian.cz>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-24 10:42+0100\n"
+"Last-Translator: Miroslav Kure <kurem@debian.cz>\n"
+"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Výchozí správce obrazovky:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Správce obrazovky je program, který nabízí grafické přihlášení do systému X "
+"Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Je nainstalováno několik správců obrazovky, ale jen jeden může obsluhovat "
+"daný X server. Vyberte, který správce se má spouštět jako výchozí."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Více správců obrazovky může běžet zároveň pouze pokud spravují různé "
+"servery. Pro dosažení takového nastavení je musíte správně nakonfigurovat, "
+"upravit jejich spouštěcí skripty v /etc/init.d a zakázat kontrolu výchozího "
+"správce obrazovky."
diff --git a/debian/po/da.po b/debian/po/da.po
new file mode 100644 (file)
index 0000000..5085151
--- /dev/null
@@ -0,0 +1,65 @@
+# Danish translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2002 Dennis Haney
+# Copyright (C) 2003 Morten Brix Pedersen <morten@wtf.dk>
+# Copyright (C) 2004-2005 Claus Hindsgaul <claus_h@image.dk>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11 6.8.2.dfsg.1-5+SVN\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2005-08-29 17:06+0200\n"
+"Last-Translator: Claus Hindsgaul <claus_h@image.dk>\n"
+"Language-Team: Danish <dansk@klid.dk>\n"
+"Language: da\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms:  nplurals=2; plural=(n != 1);\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid "Default display manager:"
+msgstr "Vælg den ønskede logindhåndtering."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"En logindhåndtering er et program der giver et grafisk logind til X Window-"
+"systemet."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Der kan kun køre én logindhåndtering for hver X-server, men der er "
+"installeret flere logindhåndteringer Vælg hvilken logindhåndtering der skal "
+"benyttes som standard."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"(Flere logindhåndteringer kan køre samtidig. hvis de er sat op til at "
+"håndtere forskellige servere. For at få dette til at fungere, skal "
+"logindhåndteringenerne sættes op til det. Det gør du ved at fjerne tjekket "
+"for standard logindhåndtering i deres initialiseringsskripter i /etc/init.d.)"
diff --git a/debian/po/de.po b/debian/po/de.po
new file mode 100644 (file)
index 0000000..00fee3a
--- /dev/null
@@ -0,0 +1,69 @@
+# German translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001 Martin Schuster
+# Copyright (C) 2001 Sebastian Rittau
+# Copyright (C) 2001 Erich Schubert
+# Copyright (C) 2001 Knut Suebert
+# Copyright (C) 2001 Sebastian Feltel
+# Copyright (C) 2001 Philipp Matthias Hahn
+# Copyright (C) 2002 Veit Waltemath
+# Copyright (C) 2002 Andreas Metzler
+# Copyright (C) 2004-2007 Alwin Meschede <ameschede@gmx.de>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: de\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-24 12:33+0100\n"
+"Last-Translator: Alwin Meschede <ameschede@gmx.de>\n"
+"Language-Team: german <debian-l10n-german@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms:  nplurals=2; plural=(n != 1);\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Standardmäßiger Display-Manager:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Ein Display-Manager ist ein Programm, welches grafische Anmeldemöglichkeiten "
+"für das X Window System zur Verfügung stellt."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Nur ein einziger Display-Manager kann einen gegebenen X-Server verwalten, es "
+"sind allerdings mehrere Display-Manager installiert. Bitte wählen Sie den "
+"Display-Manager aus, der standardmäßig ausgeführt werden soll."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Es können mehrere Display-Manager gleichzeitig laufen, wenn diese so "
+"konfiguriert sind, dass sie verschiedene X-Server verwalten. Um dies zu "
+"erreichen, konfigurieren Sie die Display-Manager entsprechend, editieren Sie "
+"jedes ihrer Init-Skripte in /etc/init.d, und schalten Sie die Überprüfung "
+"auf einen Standard-Display-Manager ab."
diff --git a/debian/po/el.po b/debian/po/el.po
new file mode 100644 (file)
index 0000000..40c539d
--- /dev/null
@@ -0,0 +1,63 @@
+# Greek translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2004 Konstantinos Margaritis <markos@debian.org>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: el\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2005-12-19 18:40+0200\n"
+"Last-Translator: Konstantinos Margaritis <markos@debian.org>\n"
+"Language-Team: Greek <debian-l10n-greek@lists.debian.org>\n"
+"Language: el\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid "Default display manager:"
+msgstr "Επιλέξτε τον επιθυμητό διαχειριστή οθόνης."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Ο διαχειριστής οθόνης είναι ένα πρόγραμμα που προσφέρει τη δυνατότητα "
+"σύνδεσης στο σύστημα παραθύρων X μέσω γραφικού περιβάλλοντος."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Μόνο ένας διαχειριστής οθόνης μπορεί να χειρίζεται ένα συγκεκριμένο "
+"εξυπηρετητή X, αλλά περισσότεροι από ένας είναι εγκατεστημένοι. Παρακαλώ "
+"επιλέξτε τον διαχειριστή οθόνης που θα εκτελείται ως προκαθορισμένος."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Πολλαπλοί διαχειριστές οθόνης μπορούν να τρέχουν ταυτόχρονα, αν έχουν "
+"ρυθμιστεί να χειρίζονται διαφορετικούς διακομιστές X. Για να επιτευχθεί "
+"αυτό, ρυθμίστε τους διαχειριστές οθόνης κατάλληλα, επεξεργαστείτε τα αρχεία "
+"εκκίνησής τους στον κατάλογο /etc/init.d, και απενεργοποιήστε τον έλεγχο για "
+"προκαθορισμένο διαχειριστή οθόνης."
diff --git a/debian/po/es.po b/debian/po/es.po
new file mode 100644 (file)
index 0000000..6fb9353
--- /dev/null
@@ -0,0 +1,74 @@
+# Spanish translations for x11-xorg package
+# Copyright (C) 
+# Copyright (C) 
+# This file is distributed under the same license as the xorg-x11 package.
+#
+# slim po-debconf translation to Spanish
+# Copyright (C) 2001, 2002, 2003, 2005, 2008 Software in the Public Interest
+# This file is distributed under the same license as the slim package.
+#
+# Changes:
+#   - Initial translation
+#       Carlos Valdivia Yagüe, 2001
+#
+#   - Updates
+#       Javier Fernandez-Sanguino Peña, 2003
+#       David Martínez Moreno <ender@debian.org>, 2001, 2002, 2005
+#       Francisco Javier Cuadrado <fcocuadrado@gmail.com>, 2008
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: slim 1.3.0-2\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2008-12-24 13:47+0100\n"
+"Last-Translator: Francisco Javier Cuadrado <fcocuadrado@gmail.com>\n"
+"Language-Team: ES <debian-l10n-spanish@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Gestor de sesiones predeterminado:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un gestor de sesiones es un programa que le ofrece la posibilidad de entrar "
+"gráficamente a su sistema mediante el sistema X Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Sólo puede utilizarse un gestor de sesiones para gestionar un servidor de X "
+"concreto, pero existen varios paquetes de gestores de sesiones instalados. "
+"Por favor, seleccione que gestor de sesiones debería ejecutarse de manera "
+"predeterminada."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Varios gestores de sesiones se pueden ejecutar simultáneamente si están "
+"configurados para manejar diferentes servidores. Para conseguir esto, "
+"configure los gestores de sesiones apropiadamente, edite cada script de init "
+"en «/etc/init.d» relacionado con ellos y desactive la comprobación en busca "
+"del gestor de sesiones predeterminado."
diff --git a/debian/po/eu.po b/debian/po/eu.po
new file mode 100644 (file)
index 0000000..cc7628a
--- /dev/null
@@ -0,0 +1,60 @@
+# Euskara translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2005-2007 Piarres Beobide <pi@beobide.net>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm-eu\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 16:06+0100\n"
+"Last-Translator: Piarres Beobide <pi@beobide.net>\n"
+"Language-Team: librezale <librezale@librezale.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Lehenetsiriko pantaila kudeatzailea:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Pantaila kudeatzailea X Leiho Sistemarako saio hasiera grafiko aukera ematen "
+"duen programa bat da."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Jakindako X zerbitzari bat pantaila kudeatzaile batek bakarrik kudea dezake, "
+"baina pantaila kudeatzaile anitz daude instalaturik.  Hautatu zein pantaila "
+"kudeatzaile erabili nahi duzun lehenetsi bezala."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Pantaila kudeatzaile anitz batera martxan egon daitezke, zerbitzari "
+"ezberdinak kudeatzeko konfiguraturik badaude; hau lortzeko, pantaila "
+"kudeatzaileak behar bezala konfiguratu eta /etc/init.d-eko init script-ean "
+"lehenetsiriko pantaila kudeatzailea arakatzeko aukera ezgaitu."
diff --git a/debian/po/fi.po b/debian/po/fi.po
new file mode 100644 (file)
index 0000000..aedcf5e
--- /dev/null
@@ -0,0 +1,59 @@
+# Finnish translations for x11-xorg package
+# Copyright (C) 2007 Esko Arajärvi <edu@iki.fi>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: slim\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-12-22 13:23+0200\n"
+"Last-Translator: Esko Arajärvi <edu@iki.fi>\n"
+"Language-Team: Finnish <debian-l10n-finnish@lists.debian.org>\n"
+"Language: fi\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Oletusnäytönhallintaohjelma:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Näytönhallintaohjelma tarjoaa graafisen kirjautumisruudun X-"
+"ikkunointijärjestelmään."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Vain yksi näytönhallintaohjelma voi hallinnoida kutakin X-palvelinta, mutta "
+"useampia näytönhallintaohjelmapaketteja on asennettuna. Valitse minkä "
+"näytönhallintaohjelman tulisi olla oletuksena käytössä."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Useampia näytönhallintaohjelmia voidaan ajaa yhtäaikaisesti, jos ne on "
+"asetettu hallinnoimaan eri palvelimia. Saadaksesi tämän aikaan muokkaa "
+"näytönhallintaohjelmien asetuksia tarpeen mukaan, muokkaa kunkin "
+"käynnistyskomentosarjaa hakemistossa /etc/init.d ja passivoi "
+"oletusnäytönhallintaohjelman tarkistus."
diff --git a/debian/po/fr.po b/debian/po/fr.po
new file mode 100644 (file)
index 0000000..410725e
--- /dev/null
@@ -0,0 +1,65 @@
+# French translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001 Thomas Morin
+# Copyright (C) 2001 Patrice Karatchentzeff
+# Copyright (C) 2001 Jérôme Schell
+# Copyright (C) 2001 Jean-Christophe Dubacq
+# Copyright (C) 2003-2007 Christian Perrier <bubulle@debian.org>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: fr\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 20:06+0100\n"
+"Last-Translator: Christian Perrier <bubulle@debian.org>\n"
+"Language-Team: French <debian-l10n-french@lists.debian.org>\n"
+"Language: fr\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: Plural-Forms: nplurals=2; plural=n>1;\n"
+"\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Gestionnaire graphique de session par défaut :"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un gestionnaire graphique de session est un programme qui permet de se "
+"connecter depuis le système X Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Un seul gestionnaire graphique de session peut s'occuper d'un serveur X "
+"donné, bien que plusieurs gestionnaires puissent être installés "
+"simultanément. Veuillez choisir celui qui sera utilisé par défaut."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Plusieurs gestionnaires graphiques peuvent être lancés en même temps, s'ils "
+"gèrent des serveurs X différents ; pour cela, configurez correctement chacun "
+"des gestionnaires graphiques, modifiez leurs scripts de lancement dans /etc/"
+"init.d, et désactivez le test de gestionnaire graphique par défaut."
diff --git a/debian/po/gl.po b/debian/po/gl.po
new file mode 100644 (file)
index 0000000..fecaea8
--- /dev/null
@@ -0,0 +1,59 @@
+# Galician translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001-2006 Jacobo Tarrio
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 13:03+0100\n"
+"Last-Translator: Jacobo Tarrio <jtarrio@debian.org>\n"
+"Language-Team: Galician <trasno@ceu.fi.udc.es>\n"
+"Language: gl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Xestor de pantalla por defecto:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un xestor de pantalla é un programa que fornece capacidades de inicio de "
+"sesión gráfico para o sistema X Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Só un xestor de pantalla pode xestionar un servidor X determinado, pero hai "
+"varios paquetes de xestores de pantalla instalados. Escolla o xestor de "
+"pantalla que se debería executar por defecto."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Pódense executar varios xestores de pantalla ao mesmo tempo se se configuran "
+"para xestionar servidores distintos; para facelo, configure os xestores de "
+"pantalla, edite cada un dos scripts de inicio de /etc/init.d e desactive a "
+"comprobación do xestor de pantalla por defecto."
diff --git a/debian/po/it.po b/debian/po/it.po
new file mode 100644 (file)
index 0000000..30eb735
--- /dev/null
@@ -0,0 +1,63 @@
+# Italian translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2002 Matteo Dell'Amico
+# Copyright (C) 2002 Emanuele Aina
+# Copyright (C) 2004 Luca Monducci
+# Copyright (C) 2004-2007 Danilo Piazzalunga
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11 6.8.2.dfsg.1-10\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-25 14:40+0200\n"
+"Last-Translator: Danilo Piazzalunga <danilopiazza@gmail.com>\n"
+"Language-Team: Italian <tp@lists.linux.it>\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Display manager predefinito."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un display manager è un programma che fornisce capacità di login grafico per "
+"il sistema X Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Solo un display manager può gestire un dato server X, ma sono installati più "
+"pacchetti di display manager. Scegliere il display manager da usare come "
+"predefinito."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Possono essere eseguiti più display manager contemporaneamente, a patto che "
+"siano impostati per gestire server diversi; per fare questo, configurare i "
+"display manager in maniera appropriata, modificare ciascuno dei loro script "
+"di avvio in /etc/init.d e disabilitare il controllo per un display manager "
+"predefinito."
diff --git a/debian/po/ja.po b/debian/po/ja.po
new file mode 100644 (file)
index 0000000..686dfb9
--- /dev/null
@@ -0,0 +1,63 @@
+# Japanese translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001 Mutsumi Ishikawa
+# Copyright (C) 2002-2002 Tomohiro Kubota
+# Copyright (C) 2001-2004 Kenshi Muto
+# Copyright (C) 2001-2003 Takeo Nakano
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11 6.9.dfsg.1-3+SVN\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 19:09+0900\n"
+"Last-Translator: Kenshi Muto <kmuto@debian.org> and ISHIKAWA Mutsumi "
+"<ishikawa@debian.org>\n"
+"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"Language: ja\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "デフォルトのディスプレイマネージャ:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"ディスプレイマネージャとは、X Window System 上でのグラフィカルなログイン機能"
+"を提供するものです。"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"ひとつの X サーバを管理できるのはひとつのディスプレイマネージャだけですが、"
+"ディスプレイマネージャパッケージが複数インストールされています。どのディスプ"
+"レイマネージャをデフォルトで起動させるか選択して下さい。"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"異なるサーバを担当するように設定すれば、複数のディスプレイサーバは同時に動作"
+"できます。そのようにするには、/etc/init.d にある各ディスプレイマネージャの初"
+"期化スクリプトを編集し、デフォルトディスプレイマネージャのチェックを無効にし"
+"て下さい。"
diff --git a/debian/po/ko.po b/debian/po/ko.po
new file mode 100644 (file)
index 0000000..aec9638
--- /dev/null
@@ -0,0 +1,58 @@
+# Korean translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2007 Sunjae Park <darehanl@gmail.com>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-04-07 20:03-0400\n"
+"Last-Translator: Sunjae Park <darehanl@gmail.com>\n"
+"Language-Team: Korean <debian-l10n-korean@lists.debian.org>\n"
+"Language: ko\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "기본 화면관리자:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"화면 관리자는 그래픽 로그인 기능을 제공하는 X 윈도우 시스템을 위한 프로그램입"
+"니다."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"한 화면관리자는 X 서버 하나만을 관리할 수 있는데도 설치된 화면 관리자가 여러 "
+"개 있습니다. 기본으로 사용할 화면관리자를 선택해주십시오."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"서로 다른 서버를 관리하도록 설정할 경우 화면관리자를 동시에 여러 개 실행시킬 "
+"수 있습니다. 이를 위해서는 각각의 화면관리자를 적절히 설정하고 /etc/init.d에 "
+"에 있는 init 스크립트를 수정해서 기본 화면관리자 검사를 비활성하십시오."
diff --git a/debian/po/ml.po b/debian/po/ml.po
new file mode 100644 (file)
index 0000000..3b29dbf
--- /dev/null
@@ -0,0 +1,59 @@
+# Malayalam translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2007 Praveen|പ്രവീണ്‍ A|എ <pravi.a@gmail.com>,
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm 1.0\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-23 09:46+0530\n"
+"Last-Translator: Praveen|പ്രവീണ്‍ A|എ <pravi.a@gmail.com>\n"
+"Language-Team: Swathanthra|സ്വതന്ത്ര Malayalam|മലയാളം Computing|കമ്പ്യൂട്ടിങ്ങ് <smc-"
+"discuss@googlegroups.com>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "ഡിഫാള്‍ട്ടായി വേണ്ട പ്രദര്‍ശന മാനേജര്‍:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"എക്സ് ജാലക സിസ്റ്റത്തിന് ഗ്രാഫിക്കലായി അകത്ത് കടക്കാനുള്ള കഴിവുകള്‍ നല്കുന്ന ഒരു പ്രോഗ്രാമാണ് ഒരു "
+"പ്രദര്‍ശന മാനേജര്‍."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"ഏതെങ്കിലും ഒരു എക്സ് സേവകനെ ഒരേ ഒരു പ്രദര്‍ശന മാനേജര്‍‌ക്കേ മാനേജ് ചെയ്യാന്‍ പറ്റൂ, പക്ഷേ "
+"ഒന്നിലധികം പ്രദര്‍ശന മാനേജര്‍ പാക്കേജുകള്‍ ഇന്‍സ്റ്റാള്‍ ചെയ്തിട്ടുണ്ട്. ദയവായി ഡിഫാള്‍ട്ടായി "
+"പ്രവര്‍ത്തിപ്പിക്കേണ്ട പ്രദര്‍ശന മാനേജര്‍ ഏതാണെന്ന് തിരഞ്ഞെടുക്കുക."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"വ്യത്യസ്ത സേവകന്‍മാരെ മാനേജ് ചെയ്യാനായി ക്രമീകരിച്ചിട്ടുണ്ടെങ്കില്‍ ഒന്നിലധികം പ്രദര്‍ശന "
+"മാനേജര്‍മാര്‍ക്ക് ഒരേ സമയം പ്രവര്‍ത്തിക്കാം; ഇത് കൈവരിക്കണമെങ്കില്‍, പ്രദര്‍ശന മാനേജര്‍മാരെ "
+"അനുസൃതമായി ക്രമീകരിക്കുകയും, അവയോരോന്നിന്റേയും /etc/init.d യിലുള്ള ഇനിറ്റ് സ്ക്രിപ്റ്റുകളെ "
diff --git a/debian/po/nl.po b/debian/po/nl.po
new file mode 100644 (file)
index 0000000..19cd0f9
--- /dev/null
@@ -0,0 +1,62 @@
+# Dutch translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2002 Wouter Verhelst
+# Copyright (C) 2003 Bart Cornelis
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 20:24+0100\n"
+"Last-Translator: Bart Cornelis <cobaco@skolelinux.no>\n"
+"Language-Team: debian-l10n-dutch <debian-l10n-dutch@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Standaard beeldschermbeheerder:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Een beeldschermbeheerder is een programma waarmee u zich grafisch op het "
+"systeem kunt aanmelden, waarna u in de grafische omgeving (het X Window "
+"System) terecht komt."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Elke X-server kan door slechts één beeldschermbeheerder beheerd worden, "
+"hoewel er meerdere beeldschermbeheerders geïnstalleerd kunnen zijn. Welke "
+"beeldschermbeheerder dient standaard gebruikt te worden?"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Het is mogelijk om meerdere beeldschermbeheerders tegelijk te draaien zolang "
+"deze verschillende servers beheren. Om dat te bereiken dient u de "
+"beeldschermbeheerders overeenkomstig in te stellen door in hun init-scripts "
+"(in /etc/init.d) de controle of ze de standaard beeldschermbeheerder zijn "
+"uit te schakelen."
diff --git a/debian/po/pl.po b/debian/po/pl.po
new file mode 100644 (file)
index 0000000..6477b4f
--- /dev/null
@@ -0,0 +1,62 @@
+# Polish translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001-2002 Marcin Owsiany
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: slim\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: i2007-05-23 22:20+02:00\n"
+"Last-Translator: Unknown\n"
+"Language-Team: Polish\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-2\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid "Default display manager:"
+msgstr "Wybierz domy¶lny display manager."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Display manager to program, który umo¿liwia logowanie siê bezpo¶rednio do "
+"systemu X Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Tylko jeden display manager mo¿e kontrolowaæ dany X serwer, ale "
+"zainstalowanych jest obecnie kilka takich programów. Wybierz, który z nich "
+"ma byæ uruchamiany domy¶lnie."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+#, fuzzy
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"(Mo¿na uruchomiæ kilka programów \"display manager\", ale musz± one "
+"kontrolowaæ ró¿ne serwery; mo¿na to osi±gn±æ konfiguruj±c odpowiednio ka¿dy "
+"z nich i wy³±czaj±c w ich skryptach startowych fragment sprawdzaj±cy "
+"domy¶lny display manager.)"
diff --git a/debian/po/pothead.in b/debian/po/pothead.in
new file mode 100644 (file)
index 0000000..e4af169
--- /dev/null
@@ -0,0 +1,30 @@
+# debconf templates for xorg-x11 package
+#
+# $Id: pothead.in 498 2005-08-05 01:55:05Z dnusinow $
+#
+# Copyright:
+# Branden Robinson, 2000-2004
+#
+# This file is distributed under the same license as the xorg-x11 package.
+# Please see debian/copyright.
+#
+#    Translators, if you are not familiar with the PO format, gettext
+#    documentation is worth reading, especially sections dedicated to
+#    this format, e.g. by running:
+#         info -n '(gettext)PO Files'
+#         info -n '(gettext)Header Entry'
+#
+#    Some information specific to po-debconf is available at
+#            /usr/share/doc/po-debconf/README-trans
+#         or http://www.debian.org/intl/l10n/po-debconf/README-trans
+#
+#    Developers do not need to manually edit POT or PO files.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: SOURCE_VERSION\n"
+"Report-Msgid-Bugs-To: debian-x@lists.debian.org\n"
+"POT-Creation-Date: DATE\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
diff --git a/debian/po/pt.po b/debian/po/pt.po
new file mode 100644 (file)
index 0000000..3c89a6d
--- /dev/null
@@ -0,0 +1,61 @@
+# Portuguese translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2005 Eduardo Silva <jobezone@yahoo.com>
+# Copyright (C) 2007-2008 Miguel Figueiredo <elmig@debianpt.org>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xserver-xorg_debian_po\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2008-09-02 21:27+0100\n"
+"Last-Translator: Miguel Figueiredo <elmig@debianpt.org>\n"
+"Language-Team: Portuguese <traduz@debianPT.org>\n"
+"Language: pt\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Gestor de ecrã pré-definido:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Um gestor de ecrã é um programa que fornece capacidades de autenticação "
+"gráfica ao X Window System."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Apenas um único gestor de ecrã pode gerir um dado servidor X, mas estão "
+"instalados vários pacotes de gestores de ecrã. Por favor escolha qual o "
+"gestor de ecrã que deve ser executado por omissão."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Podem correr simultaneamente vários gestores de ecrã se estes estiverem "
+"configurados para gerir diferentes servidores; para alcançar isto, configure "
+"os gestores de ecrã de acordo, edite cada um dos seus scripts 'init' em /etc/"
+"init.d, e desligue a verificação de um gestor de ecrã pré-definido."
diff --git a/debian/po/pt_BR.po b/debian/po/pt_BR.po
new file mode 100644 (file)
index 0000000..7013c4a
--- /dev/null
@@ -0,0 +1,64 @@
+# Brazilian Portuguese translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001 Gustavo Noronha Silva
+# Copyright (C) 2001 Henrique de Moraes Holschuh
+# Copyright (C) 2001-2005 André Luís Lopes <andrelop@debian.org>
+# Copyright (C) 2007 Eder L. Marques <frolic@debian-ce.org>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xdm 1:1.0.5-2\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-27 01:16-0300\n"
+"Last-Translator: Eder L. Marques <frolic@debian-ce.org>\n"
+"Language-Team:  l10n portuguese <debian-l10n-portuguese@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"pt_BR utf-8\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Gerenciador de sessão padrão:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Um gerenciador de sessão é um programa que provê capacidades de login "
+"gráfico para o 'X Window System'."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Somente um gerenciador de sessão pode gerenciar um dado servidor X, mas "
+"diversos pacotes de gerenciadores de sessão estão instalados. Por favor "
+"selecione qual gerenciador de sessão deverá ser executado por padrão."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Múltiplos gerenciadores de sessão podem ser executados simultaneamente se "
+"eles estão configurados para gerenciar servidores diferentes; para conseguir "
+"isso, configure os gerenciadores de sessão apropriadamente, edite cada um "
+"dos seus scripts de inicialização em /etc/init.d, e desabilite a checagem "
+"por um gerenciador de sessão padrão."
diff --git a/debian/po/ro.po b/debian/po/ro.po
new file mode 100644 (file)
index 0000000..03f0eff
--- /dev/null
@@ -0,0 +1,64 @@
+# Romanian translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2005 Eddy Petrişor <eddy.petrisor@gmail.com>
+# Copyright (C) 2005 Ruşeţ Zeno <rzeno@cwazy.co.uk>
+# Copyright (C) 2005-2007 Eddy Petrisor <eddy.petrisor@gmail.com>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ro\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-05-31 11:00+0300\n"
+"Last-Translator: Eddy Petrișor <eddy.petrisor@gmail.com>\n"
+"Language-Team: Romanian <debian-l10n-romanian@lists.debian.org>\n"
+"Language: ro\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms:  nplurals=3; plural=n==1 ? 0 : (n==0 || (n%100 > 0 && n%100 < "
+"20)) ? 1 : 2;\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Managerul de ecran implicit:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Un manager de ecran este un program care oferă facilitatea de autentificare "
+"grafică sistemului de ferestre X."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Doar un singur manager de ecran poate guverna un anumit server X, dar mai "
+"mulţi manageri de ecran sunt instalaţi. Selectaţi managerul care ar trebui "
+"să pornească în mod implicit."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Mai mulţi manageri de ecran pot rula simultan dacă sunt configuraţi să "
+"guverneze servere diferite; pentru a obţine acest lucru, configuraţi "
+"corespunzător managerii de ecran, editaţi fiecare dintre script-urile lor de "
+"iniţializare din /etc/init.d şi dezactivaţi testul de manager de ecran "
+"implicit."
diff --git a/debian/po/ru.po b/debian/po/ru.po
new file mode 100644 (file)
index 0000000..2565427
--- /dev/null
@@ -0,0 +1,61 @@
+# Russian translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2002-2003 Ilgiz Kalmetev
+# Copyright (C) 2003 Serge Winitzki
+# Copyright (C) 2005 Yuri Kozlov <kozlov.y@gmail.com>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xserver-xorg_debian_po_ru\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 12:07+0300\n"
+"Last-Translator: asv <alyoshin@pisem.net>\n"
+"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"Language: ru\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Менеджер дисплеев по умолчанию:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Менеджер дисплеев -- это программа, которая обеспечивает возможность "
+"графического входа в систему для X Window System."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Данный X-сервер может обслуживать только один менеджер дисплеев, но "
+"установлено несколько пакетов менеджеров дисплеев. Пожалуйста, выберите "
+"менеджер дисплеев, который должен запускаться по умолчанию."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Несколько менеджеров дисплеев могут запускаться одновременно, если они "
+"настроены на обслуживание разных серверов; чтобы добиться этого,  настройте "
+"менеджеры дисплеев соответственно, отредактируйте их сценарии инициализации "
+"в /etc/init.d и отключите проверку менеджера дисплеев по умолчанию."
diff --git a/debian/po/sk.po b/debian/po/sk.po
new file mode 100644 (file)
index 0000000..9bef9d3
--- /dev/null
@@ -0,0 +1,59 @@
+# Slovak translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2004 Miroslav Kure <kurem@debian.cz>
+# Copyright (C) 2005 Peter Mann <Peter.Mann@tuke.sk>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 09:30+0100\n"
+"Last-Translator: Peter Mann <Peter.Mann@tuke.sk>\n"
+"Language-Team: Slovak <sk-i18n@lists.linux.sk>\n"
+"Language: sk\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Zvoľte predvoleného správcu obrazovky:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Správca obrazovky je program, ktorý ponúka grafické prihlásenie do systému X "
+"Window."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Máte nainštalovaných viac správcov obrazovky, ale iba jeden môže obsluhovať "
+"daný X server. Zvoľte si správcu, ktorý bude predvolený."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Súbežne môže byť spustených viac správcov obrazovky, ale iba v prípade "
+"viacero rozdielnych serverov. Pre dosiahnutie takéhoto nastavenia ich musíte "
+"správne nastaviť, upraviť ich spúšťacie skripty v /etc/init.d a zakázať "
+"kontrolu predvoleného správcu obrazovky."
diff --git a/debian/po/sv.po b/debian/po/sv.po
new file mode 100644 (file)
index 0000000..27d44ed
--- /dev/null
@@ -0,0 +1,61 @@
+# Swedish translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2001 André Dahlqvist
+# Copyright (C) 2002 Peter Toneby
+# Copyright (C) 2002 Mikael Hedin
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xserver-xorg\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-22 10:43+0100\n"
+"Last-Translator: Daniel Nylander <po@danielnylander.se>\n"
+"Language-Team: Swedish <sv@li.org>\n"
+"Language: sv\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Standarddisplayhanterare:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"En displayhanterare är det program som tillhandahåller grafiska "
+"inloggningsmöjligheter i X Window System."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Endast en displayhanterare kan hantera en angiven X-server, men flera "
+"displayhanterarpaket kan vara installerade. Välj vilken displayhanterare som "
+"skall köras som standard."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Flera displayhanterare kan köras samtidigt om de är konfigurerade att "
+"hantera olika servrar. För att uppnå detta ska du konfigurera "
+"displayhanterarnas init-skript under /etc/init.d, och inaktivera kontrollen "
+"efter en standarddisplayhanterare."
diff --git a/debian/po/ta.po b/debian/po/ta.po
new file mode 100644 (file)
index 0000000..516a0d9
--- /dev/null
@@ -0,0 +1,58 @@
+# Tamil translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2007 Dr.T.Vasudevan <agnihot3@gmail.com>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: templates\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-26 16:49+0530\n"
+"Last-Translator: Dr.T.Vasudevan <agnihot3@gmail.com>\n"
+"Language-Team: TAMIL <ubuntu-l10n-tam@lists.ubuntu.com>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "முன்னிருப்பு காட்சி மேலாளர்:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"காட்சி மேலாளர் என்பது வரைகலை உள்நுழைவு இயலுமையை எக்ஸ் விண்டோஸ் அமைப்புக்கு தரும் "
+"நிரலாகும்."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"ஒரு கொடுக்கப் பட்ட X சேவையகத்தில் ஒரு காட்சி மேலாளர்தான் மேலாள இயலும். ஆனால் பல காட்சி "
+"மேலாளர்கள் நிறுவப் பட்டுள்ளன. எது முன்னிருப்பாக இருக்க வேண்டும் என தேர்ந்தெடுங்கள்"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"வெவ்வேறு சேவையகங்களை மேலாள வடிவமைத்தால் பல காட்சி மேலாளர்கள் ஒரே நேரத்தில் இயங்கக் "
+"கூடும். இதை செய்ய காட்சி மேலாளர்களை தகுந்தாற் போல வடிவமையுங்கள். அவற்றின் இனிட் சிறு "
+"நிரல்களை /etc/init.d இல் திருத்துங்கள். முன்னிருப்பு காட்சி மேலாளர் தேர்வை செயலிழக்கச் "
+"செய்யவும்."
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644 (file)
index 0000000..7fe679c
--- /dev/null
@@ -0,0 +1,50 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
diff --git a/debian/po/tr.po b/debian/po/tr.po
new file mode 100644 (file)
index 0000000..3d8fd76
--- /dev/null
@@ -0,0 +1,60 @@
+# Turkish translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2004 Recai Oktaş <roktas@debian.org>
+# Copyright (C) 2004-2006 Osman Yüksel <yuxel@sonsuzdongu.com>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: xorg-x11\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2008-09-19 12:58+0200\n"
+"Last-Translator: Mert Dirik <mertdirik@gmail.com>\n"
+"Language-Team: Debian L10n Turkish <debian-l10n-turkish@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Öntanımlı ekran yöneticisi:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Ekran yöneticisi, X Pencere Sistemi'ne görsel arayüz ile giriş yapmayı "
+"sağlayan bir programdır."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Sadece bir ekran yöneticisi verilen X sunucusunu yönetebilir; ancak "
+"sisteminizde birden fazla ekran yöneticisi kurulu durumda.  Lütfen öntanımlı "
+"olarak çalıştırmak istediğiniz ekran yöneticisini seçin."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Eğer farklı sunucuları çalıştırmak için ayarlanırsa birden fazla ekran "
+"yöneticisi kullanılabilir.  Bunun için, her bir ekran yöneticisini uygun bir "
+"şekilde yapılandırın, /etc/init.d içindeki ilgili betikleri değiştirin ve "
+"öntanımlı ekran yöneticisini denetleyen işlevleri devre dışı bırakın."
diff --git a/debian/po/vi.po b/debian/po/vi.po
new file mode 100644 (file)
index 0000000..6cbfbf1
--- /dev/null
@@ -0,0 +1,61 @@
+# Vietnamese translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2005-2007 Clytie Siddall <clytie@riverland.net.au>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: 4.3.0.dfsg.1-7+SVN\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-06-02 16:14+0930\n"
+"Last-Translator: Clytie Siddall <clytie@riverland.net.au>\n"
+"Language-Team: Vietnamese <vi-VN@googlegroups.com>\n"
+"Language: vi\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "Bộ quản lý trình bày mặc định:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr ""
+"Bộ quản lý trình bày là chương trình cung cấp khả năng đăng nhập kiểu đồ họa "
+"cho Hệ thống Cửa sổ X."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"Chỉ một bộ quản lý trình bày có khả năng quản lý mỗi trình phục vụ X (X "
+"server) đã cho, nhưng mà nhiều gói chương trình quản lý trình bày đã được "
+"cài đặt. Hãy chọn bộ quản lý trình bày nào nà nên chạy theo mặc định."
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"Nhiều bộ quản lý trình bày có khả năng chạy đồng thời nếu mỗi điều được cấu "
+"hình để quản lý trình phục vụ khác nhau. Để làm như thế, hãy cấu hình mọi bộ "
+"quản lý trình bày một cách thích hợp, sửa đổi mỗi văn lệnh sơ khởi (init "
+"script) trong </etc/init.d>, và tắt khả năng kiểm tra có bộ quản lý trình "
+"bày mặc định."
diff --git a/debian/po/zh_CN.po b/debian/po/zh_CN.po
new file mode 100644 (file)
index 0000000..3642bea
--- /dev/null
@@ -0,0 +1,57 @@
+# Simplified Chinese translations for x11-xorg package
+# Copyright (C) 2000-2004 Branden Robinson
+# Copyright (C) 2005 Carlos Z.F. Liu <carlosliu@users.sourceforge.net>
+# Copyright (C) 2005-2007 Ming Hua <minghua@rice.edu>
+# This file is distributed under the same license as the xorg-x11 package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: 1:1.0.5-2\n"
+"Report-Msgid-Bugs-To: lxdm@packages.debian.org\n"
+"POT-Creation-Date: 2007-05-31 08:04+0200\n"
+"PO-Revision-Date: 2007-03-28 18:50-0500\n"
+"Last-Translator: Ming Hua <minghua@rice.edu>\n"
+"Language-Team: Debian Chinese [GB] <debian-chinese-gb@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid "Default display manager:"
+msgstr "默认显示管理器:"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"A display manager is a program that provides graphical login capabilities "
+"for the X Window System."
+msgstr "显示管理器是为 X 窗口系统提供图形界面登录模式的程序。"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Only one display manager can manage a given X server, but multiple display "
+"manager packages are installed. Please select which display manager should "
+"run by default."
+msgstr ""
+"一个给定的 X 服务器只能由一个显示管理器来管理,但是系统中已经安装了多个显示管"
+"理器软件包。请选择一个作为默认的显示管理器。"
+
+#. Type: select
+#. Description
+#: ../lxdm.templates:2001
+msgid ""
+"Multiple display managers can run simultaneously if they are configured to "
+"manage different servers; to achieve this, configure the display managers "
+"accordingly, edit each of their init scripts in /etc/init.d, and disable the "
+"check for a default display manager."
+msgstr ""
+"如果多个显示管理器被配置为分别管理不同的 X 服务器,那么它们可以同时运行。要做"
+"到这一点,您要按照需求分别对各显示管理器进行设置,编辑它们在 /etc/init.d 目录"
+"下的 init 脚本,并且关闭对默认显示管理器的检查。"
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..3859a3d
--- /dev/null
@@ -0,0 +1,29 @@
+#!/usr/bin/make -f
+
+LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
+
+# Rename config file
+config_file = /etc/lxdm/default.conf
+CFLAGS+=-DCONFIG_FILE=\\\"$(config_file)\\\"
+
+%:
+       dh ${@}
+
+override_dh_auto_configure:
+       dh_auto_configure -- LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" \
+               --sysconfdir=/etc \
+               --libexecdir=/usr/lib/lxdm \
+               --enable-debug
+
+override_dh_auto_test:
+       # disabled
+
+override_dh_install:
+       dh_install
+
+       mkdir -p debian/lxdm/etc/insserv.conf.d
+       cp debian/lxdm.insserv debian/lxdm/etc/insserv.conf.d/
+       mv debian/lxdm/etc/insserv.conf.d/lxdm.insserv debian/lxdm/etc/insserv.conf.d/lxdm
+
+override_dh_installinit:
+       dh_installinit --no-start
diff --git a/debian/source/format b/debian/source/format
new file mode 100644 (file)
index 0000000..163aaf8
--- /dev/null
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/source/options b/debian/source/options
new file mode 100644 (file)
index 0000000..74a452b
--- /dev/null
@@ -0,0 +1,2 @@
+compression = "xz"
+compression-level = 9
diff --git a/debian/watch b/debian/watch
new file mode 100644 (file)
index 0000000..048653f
--- /dev/null
@@ -0,0 +1,2 @@
+version=3
+http://sf.net/lxde/lxdm-(.*)\.tar\.gz